IsEqualCompressingWhiteSpace (Hamcrest 2.1 API)
Date: 2018-12-21

org.hamcrest.text

## Class IsEqualCompressingWhiteSpace

- java.lang.Object
- - org.hamcrest.BaseMatcher<T>
  - - org.hamcrest.TypeSafeMatcher<java.lang.String>
    - - org.hamcrest.text.IsEqualCompressingWhiteSpace

- All Implemented Interfaces:
    Matcher<java.lang.String>, SelfDescribing

      public class IsEqualCompressingWhiteSpace
      extends TypeSafeMatcher<java.lang.String>

  Tests if a string is equal to another string, compressing any changes in whitespace.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IsEqualCompressingWhiteSpace(java.lang.String string)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `describeMismatchSafely(java.lang.String item, Description mismatchDescription)` Subclasses should override this.
    `void` | `describeTo(Description description)` Generates a description of the object.
    `static Matcher<java.lang.String>` | `equalToCompressingWhiteSpace(java.lang.String expectedString)` Creates a matcher of `String` that matches when the examined string is equal to the specified expectedString, when whitespace differences are (mostly) ignored.
    `static Matcher<java.lang.String>` | `equalToIgnoringWhiteSpace(java.lang.String expectedString)` Deprecated. `equalToCompressingWhiteSpace(String)`
    `boolean` | `matchesSafely(java.lang.String item)` Subclasses should implement this.
    `java.lang.String` | `stripSpaces(java.lang.String toBeStripped)`

    - ### Methods inherited from class org.hamcrest.TypeSafeMatcher

      `describeMismatch, matches`

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, isNotNull, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IsEqualCompressingWhiteSpace

          public IsEqualCompressingWhiteSpace(java.lang.String string)

  - ### Method Detail

    - #### matchesSafely

          public boolean matchesSafely(java.lang.String item)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should implement this. The item will already have been checked for the specific type and will never be null.
      Specified by:
        `matchesSafely` in class `TypeSafeMatcher<java.lang.String>`

    - #### describeMismatchSafely

          public void describeMismatchSafely(java.lang.String item,
                                             Description mismatchDescription)

      Description copied from class: `TypeSafeMatcher`
      Subclasses should override this. The item will already have been checked for the specific type and will never be null.
      Overrides:
        `describeMismatchSafely` in class `TypeSafeMatcher<java.lang.String>`

    - #### describeTo

          public void describeTo(Description description)

      Description copied from interface: `SelfDescribing`
      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.

    - #### stripSpaces

          public java.lang.String stripSpaces(java.lang.String toBeStripped)

    - #### equalToIgnoringWhiteSpace

          public static Matcher<java.lang.String> equalToIgnoringWhiteSpace(java.lang.String expectedString)

      Deprecated. `equalToCompressingWhiteSpace(String)`
      Parameters:
        `expectedString` - the expected value of matched strings

    - #### equalToCompressingWhiteSpace

          public static Matcher<java.lang.String> equalToCompressingWhiteSpace(java.lang.String expectedString)

      Creates a matcher of `String` that matches when the examined string is equal to the specified expectedString, when whitespace differences are (mostly) ignored. To be exact, the following whitespace rules are applied:
      - all leading and trailing whitespace of both the expectedString and the examined string are ignored
      - any remaining whitespace, appearing within either string, is collapsed to a single space before comparison
      For example:

          assertThat("   my\tfoo  bar ", equalToCompressingWhiteSpace(" my  foo bar"))

      Parameters:
        `expectedString` - the expected value of matched strings